Package org.kapott.hbci.dialog

## Interface HBCIProcess

All Known Implementing Classes:
  `HBCIProcessSepaInfo`, `HBCIProcessTanMedia`

    public interface HBCIProcess

Kapselt mehrere HBCI-Nachrichten zu einem kompletten Dialog. Eigentlich muesste das Interface "RawHBCIDialog" "RawHBCIMessage" heissen, weil es nur eine einzelne Nachricht kapselt und keinen kompletten Dialog. Ich lass das aber jetzt mal so.

### Method Summary

All Methods Instance Methods Abstract Methods
`HBCIMsgStatus` `execute​(DialogContext ctx)` Fuehrt die Dialoge mit der Bank aus.

### Method Detail

#### execute

    HBCIMsgStatus execute​(DialogContext ctx)

Fuehrt die Dialoge mit der Bank aus.

Parameters:
  `ctx` - der Dialog-Context.
Returns:
  der Ausfuehrungsstatus.